LINUX.ORG.RU

apt-get!


0

0

Вообщем хотел я обновить систему... Все упирается в aalib1, пишу apt-get install aalib1 в ответ такая хрень: dpkg: не удалось обработать параметр /var/cache/apt/archive/aalib1_1.5p...deb попытка перезаписать /usr/lib/libaa.so.1.0.4, который уже имеется в пакете aalib1 (хотя я ее оттуда снес) dpkg-deb: подпроцесс paste убит сигналом (Broken pipe) ....

Бред какойто, что делать?

anonymous

Re: apt-get!

>хотя я ее оттуда снес

как снёс?

dpkg --purge libaa1 (возможно с --force ключом)

anonymous ()
Ответ на: Re: apt-get! от anonymous

Re: apt-get!

нет, тупо удалил этот so-шник, точнее перенес в другую папку, но это ничего не дало, скопировал обратно...

anonymous ()
Ответ на: Re: apt-get! от anonymous

Re: apt-get!

ССЗБ. apt-то ЗНАЕТ, что в другом пакете есть файл. Руки таким отрывать надо - "удалил so-шник"...

Xellos ★★★★★ ()

Re: apt-get!

>dpkg: не удалось обработать параметр /var/cache/apt/archive/aalib1_1.5p...deb попытка перезаписать /usr/lib/libaa.so.1.0.4, который уже имеется в пакете aalib1

Ой ли? Два раза одинаковые пакеты? И там, и там aalib1, и он его не может обновить?

Xellos ★★★★★ ()
Ответ на: Re: apt-get! от Xellos

Re: apt-get!

>Ой ли? Два раза одинаковые пакеты? И там, и там aalib1, и он его не может обновить?

чует моё сердце, там в одном случае какой-нибудь aalib1 из левого репозитария, а в другом - libaa1...

anonymous ()
Ответ на: Re: apt-get! от anonymous

Re: apt-get!

>нет, тупо удалил этот so-шник, точнее перенес в другую папку

переносом к другому папке такие вопросы не решаются, нужно удалять _пакет_, а не файл

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.